<?php
namespace WpBookingEventAdmin\app\controllers;
use WpBookingEvent\Factory as FactoryAlias;
use WpBookingEvent\Mvc\Controller\Controller;
use WpBookingEventAdmin\app\helpers\ConfigHelper;

defined('_WPBOOKINGEVENT_EXEC') or die;
class ConfigController extends Controller
{
    public function create_page_service_detail(){
        $url=FactoryAlias::getRootUrl()."/wp-admin/admin.php?page=wb_config";
        ConfigHelper::create_create_page("service-detail","page_service_detail");
        $this->redirect($url);

    }
    public function create_page_list_service(){
        $url=FactoryAlias::getRootUrl()."/wp-admin/admin.php?page=wb_config";
        ConfigHelper::create_create_page("services-list","page_list_service");
        $this->redirect($url);

    }
    public function create_page_list_event(){
        $url=FactoryAlias::getRootUrl()."/wp-admin/admin.php?page=wb_config";
        ConfigHelper::create_create_page("events-list","page_list_event");
        $this->redirect($url);

    }
    public function create_page_event_detail(){
        $url=FactoryAlias::getRootUrl()."/wp-admin/admin.php?page=wb_config";
        ConfigHelper::create_create_page("event-detail","page_event_detail");
        $this->redirect($url);

    }
    public function create_page_list_category(){
        $url=FactoryAlias::getRootUrl()."/wp-admin/admin.php?page=wb_config";
        ConfigHelper::create_create_page("category-list","page_list_category");
        $this->redirect($url);

    }

}
